Package org.springframework.security.access.hierarchicalroles

# Interface RoleHierarchy

All Known Implementing Classes:
  `NullRoleHierarchy`, `RoleHierarchyImpl`

public interface RoleHierarchy
The simple interface of a role hierarchy.

## Method Summary

Modifier and Type
Method
Description
`Collection<? extends GrantedAuthority>`
`getReachableGrantedAuthorities(Collection<? extends GrantedAuthority> authorities)`
Returns an array of all reachable authorities.

## Method Details

### getReachableGrantedAuthorities

Collection<? extends GrantedAuthority> getReachableGrantedAuthorities(Collection<? extends GrantedAuthority> authorities)
Returns an array of all reachable authorities.

Reachable authorities are the directly assigned authorities plus all authorities that are (transitively) reachable from them in the role hierarchy.

Example:
Role hierarchy: ROLE_A > ROLE_B > ROLE_C.
Directly assigned authority: ROLE_A.
Reachable authorities: ROLE_A, ROLE_B, ROLE_C.

Parameters:
  `authorities` - - List of the directly assigned authorities.
Returns:
  List of all reachable authorities given the assigned authorities.